Package owl.grammar

## Class TLSFParserBaseVisitor<T>

- java.lang.Object
- - org.antlr.v4.runtime.tree.AbstractParseTreeVisitor<T>
  - - owl.grammar.TLSFParserBaseVisitor<T>

- Type Parameters:
    `T` - The return type of the visit operation. Use `Void` for operations with no return type.
  All Implemented Interfaces:
    `org.antlr.v4.runtime.tree.ParseTreeVisitor<T>`, `TLSFParserVisitor<T>`

      public class TLSFParserBaseVisitor<T>
      extends org.antlr.v4.runtime.tree.AbstractParseTreeVisitor<T>
      implements TLSFParserVisitor<T>

  This class provides an empty implementation of `TLSFParserVisitor`, which can be extended to create a visitor which only needs to handle a subset of the available methods.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TLSFParserBaseVisitor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `visitInput​(TLSFParser.InputContext ctx)` | Visit a parse tree produced by `TLSFParser.input()`.
    `T` | `visitOutput​(TLSFParser.OutputContext ctx)` | Visit a parse tree produced by `TLSFParser.output()`.
    `T` | `visitSemantics​(TLSFParser.SemanticsContext ctx)` | Visit a parse tree produced by `TLSFParser.semantics()`.
    `T` | `visitSpecification​(TLSFParser.SpecificationContext ctx)` | Visit a parse tree produced by `TLSFParser.specification()`.
    `T` | `visitTarget​(TLSFParser.TargetContext ctx)` | Visit a parse tree produced by `TLSFParser.target()`.
    `T` | `visitTlsf​(TLSFParser.TlsfContext ctx)` | Visit a parse tree produced by `TLSFParser.tlsf()`.

    - ### Methods inherited from class org.antlr.v4.runtime.tree.AbstractParseTreeVisitor

      `aggregateResult, defaultResult, shouldVisitNextChild, visit, visitChildren, visitErrorNode, visitTerminal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeVisitor

      `visit, visitChildren, visitErrorNode, visitTerminal`

- - ### Constructor Detail

    - #### TLSFParserBaseVisitor

          public TLSFParserBaseVisitor()

  - ### Method Detail

    - #### visitTlsf

          public T visitTlsf​(TLSFParser.TlsfContext ctx)

      Visit a parse tree produced by `TLSFParser.tlsf()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTlsf` in interface `TLSFParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitSemantics

          public T visitSemantics​(TLSFParser.SemanticsContext ctx)

      Visit a parse tree produced by `TLSFParser.semantics()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitSemantics` in interface `TLSFParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTarget

          public T visitTarget​(TLSFParser.TargetContext ctx)

      Visit a parse tree produced by `TLSFParser.target()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTarget` in interface `TLSFParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitInput

          public T visitInput​(TLSFParser.InputContext ctx)

      Visit a parse tree produced by `TLSFParser.input()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitInput` in interface `TLSFParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitOutput

          public T visitOutput​(TLSFParser.OutputContext ctx)

      Visit a parse tree produced by `TLSFParser.output()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitOutput` in interface `TLSFParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitSpecification

          public T visitSpecification​(TLSFParser.SpecificationContext ctx)

      Visit a parse tree produced by `TLSFParser.specification()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitSpecification` in interface `TLSFParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result